Bug 838424 - NetworkManager errors in log from ifcfg-rh when using BOOTPROTO=none
NetworkManager errors in log from ifcfg-rh when using BOOTPROTO=none
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-09 01:22 EDT by Samuel Sieb
Modified: 2013-07-31 19:36 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:35:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Samuel Sieb 2012-07-09 01:22:47 EDT
I have a base interface of em1 with the following configuration:
UUID=<uuid>
HWADDR=<mac>
TYPE=Ethernet
NM_CONTROLLED="yes"
DEVICE="em1"
ONBOOT="yes"
DEFROUTE=no

And em1.3 with:
DEVICE=em1.3
NM_CONTROLLED="yes"
ONBOOT=yes
BOOTPROTO=dhcp
DEFROUTE=yes
VLAN=yes

NM gets the dhcp address on em1.3 as it should, but it also assigns it to em1. Fortunately, I discovered the defroute option, so routing actually does work now (it was originally using em1 as the default route).  This exact same configuration works with the old network service.  Why is it assigning the vlan address to the underlying interface?  Is there some setting that I need to add?
Comment 1 Samuel Sieb 2012-07-09 02:12:05 EDT
I discovered that I can do BOOTPROTO=none in the em1 config.  This works, but gives several of the following lines in the log:

NetworkManager[26630]:    ifcfg-rh: parsing /etc/sysconfig/network-scripts/ifcfg-em1 ...
NetworkManager[26630]:    ifcfg-rh:     error: addresses
Comment 2 Samuel Sieb 2012-07-09 02:15:40 EDT
To further clarify the original issue, it appears that NM, unlike the previous network service, will assume DHCP if there is no other option given.  It actually did a separate DHCP transaction for em1 and em1.3.  Some strange configuration on the switch was putting the untagged packets through to the right vlan.
Comment 3 Samuel Sieb 2012-07-10 12:45:44 EDT
I rebooted the server and NetworkManger assigned em1 to be the default route using dhcp despite the ifcfg settings.  I restarted NM and it had em1.3 as the default route briefly, then went back to em1.  So there is still a serious issue with NM handling of either the ifcfg settings or vlans.  It isn't respecting the BOOTPROTO=none or the DEFROUTE settings.  I have disabled NM and am using the network service now.

/etc/NetworkManager/system-connections/ is empty (as it should be).
Comment 4 Fedora End Of Life 2013-07-03 18:00:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 19:36:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.